]> git.ipfire.org Git - thirdparty/binutils-gdb.git/blob - gas/Makefile.in
Finalized intl-update patches
[thirdparty/binutils-gdb.git] / gas / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 2012-2023 Free Software Foundation, Inc.
19 #
20 # This file is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program; see the file COPYING3. If not see
32 # <http://www.gnu.org/licenses/>.
33 #
34
35 #
36 # Copyright (C) 2012-2023 Free Software Foundation, Inc.
37 #
38 # This file is free software; you can redistribute it and/or modify
39 # it under the terms of the GNU General Public License as published by
40 # the Free Software Foundation; either version 3 of the License, or
41 # (at your option) any later version.
42 #
43 # This program is distributed in the hope that it will be useful,
44 # but WITHOUT ANY WARRANTY; without even the implied warranty of
45 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
46 # GNU General Public License for more details.
47 #
48 # You should have received a copy of the GNU General Public License
49 # along with this program; see the file COPYING3. If not see
50 # <http://www.gnu.org/licenses/>.
51 #
52
53
54 VPATH = @srcdir@
55 am__is_gnu_make = { \
56 if test -z '$(MAKELEVEL)'; then \
57 false; \
58 elif test -n '$(MAKE_HOST)'; then \
59 true; \
60 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
61 true; \
62 else \
63 false; \
64 fi; \
65 }
66 am__make_running_with_option = \
67 case $${target_option-} in \
68 ?) ;; \
69 *) echo "am__make_running_with_option: internal error: invalid" \
70 "target option '$${target_option-}' specified" >&2; \
71 exit 1;; \
72 esac; \
73 has_opt=no; \
74 sane_makeflags=$$MAKEFLAGS; \
75 if $(am__is_gnu_make); then \
76 sane_makeflags=$$MFLAGS; \
77 else \
78 case $$MAKEFLAGS in \
79 *\\[\ \ ]*) \
80 bs=\\; \
81 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
82 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
83 esac; \
84 fi; \
85 skip_next=no; \
86 strip_trailopt () \
87 { \
88 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
89 }; \
90 for flg in $$sane_makeflags; do \
91 test $$skip_next = yes && { skip_next=no; continue; }; \
92 case $$flg in \
93 *=*|--*) continue;; \
94 -*I) strip_trailopt 'I'; skip_next=yes;; \
95 -*I?*) strip_trailopt 'I';; \
96 -*O) strip_trailopt 'O'; skip_next=yes;; \
97 -*O?*) strip_trailopt 'O';; \
98 -*l) strip_trailopt 'l'; skip_next=yes;; \
99 -*l?*) strip_trailopt 'l';; \
100 -[dEDm]) skip_next=yes;; \
101 -[JT]) skip_next=yes;; \
102 esac; \
103 case $$flg in \
104 *$$target_option*) has_opt=yes; break;; \
105 esac; \
106 done; \
107 test $$has_opt = yes
108 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
109 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
110 pkgdatadir = $(datadir)/@PACKAGE@
111 pkgincludedir = $(includedir)/@PACKAGE@
112 pkglibdir = $(libdir)/@PACKAGE@
113 pkglibexecdir = $(libexecdir)/@PACKAGE@
114 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
115 install_sh_DATA = $(install_sh) -c -m 644
116 install_sh_PROGRAM = $(install_sh) -c
117 install_sh_SCRIPT = $(install_sh) -c
118 INSTALL_HEADER = $(INSTALL_DATA)
119 transform = $(program_transform_name)
120 NORMAL_INSTALL = :
121 PRE_INSTALL = :
122 POST_INSTALL = :
123 NORMAL_UNINSTALL = :
124 PRE_UNINSTALL = :
125 POST_UNINSTALL = :
126 build_triplet = @build@
127 host_triplet = @host@
128 target_triplet = @target@
129 noinst_PROGRAMS = as-new$(EXEEXT)
130 EXTRA_PROGRAMS = itbl-test$(EXEEXT)
131 subdir = .
132 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
133 am__aclocal_m4_deps = $(top_srcdir)/../bfd/acinclude.m4 \
134 $(top_srcdir)/../bfd/warning.m4 $(top_srcdir)/../config/acx.m4 \
135 $(top_srcdir)/../config/depstand.m4 \
136 $(top_srcdir)/../config/gettext-sister.m4 \
137 $(top_srcdir)/../config/gettext.m4 \
138 $(top_srcdir)/../config/iconv.m4 \
139 $(top_srcdir)/../config/intlmacosx.m4 \
140 $(top_srcdir)/../config/jobserver.m4 \
141 $(top_srcdir)/../config/largefile.m4 \
142 $(top_srcdir)/../config/lcmessage.m4 \
143 $(top_srcdir)/../config/lead-dot.m4 \
144 $(top_srcdir)/../config/lib-ld.m4 \
145 $(top_srcdir)/../config/lib-link.m4 \
146 $(top_srcdir)/../config/lib-prefix.m4 \
147 $(top_srcdir)/../config/nls.m4 \
148 $(top_srcdir)/../config/override.m4 \
149 $(top_srcdir)/../config/pkg.m4 \
150 $(top_srcdir)/../config/plugins.m4 \
151 $(top_srcdir)/../config/po.m4 \
152 $(top_srcdir)/../config/progtest.m4 \
153 $(top_srcdir)/../config/zlib.m4 \
154 $(top_srcdir)/../config/zstd.m4 $(top_srcdir)/../libtool.m4 \
155 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
156 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
157 $(top_srcdir)/acinclude.m4 $(top_srcdir)/../bfd/version.m4 \
158 $(top_srcdir)/configure.ac
159 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
160 $(ACLOCAL_M4)
161 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
162 $(am__configure_deps)
163 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
164 configure.lineno config.status.lineno
165 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
166 CONFIG_HEADER = config.h
167 CONFIG_CLEAN_FILES = gdb.ini .gdbinit po/Makefile.in
168 CONFIG_CLEAN_VPATH_FILES =
169 PROGRAMS = $(noinst_PROGRAMS)
170 am__objects_1 = app.$(OBJEXT) as.$(OBJEXT) atof-generic.$(OBJEXT) \
171 codeview.$(OBJEXT) compress-debug.$(OBJEXT) cond.$(OBJEXT) \
172 depend.$(OBJEXT) dwarf2dbg.$(OBJEXT) dw2gencfi.$(OBJEXT) \
173 ecoff.$(OBJEXT) ehopt.$(OBJEXT) expr.$(OBJEXT) \
174 flonum-copy.$(OBJEXT) flonum-konst.$(OBJEXT) \
175 flonum-mult.$(OBJEXT) frags.$(OBJEXT) gen-sframe.$(OBJEXT) \
176 hash.$(OBJEXT) input-file.$(OBJEXT) input-scrub.$(OBJEXT) \
177 listing.$(OBJEXT) literal.$(OBJEXT) macro.$(OBJEXT) \
178 messages.$(OBJEXT) output-file.$(OBJEXT) read.$(OBJEXT) \
179 remap.$(OBJEXT) sb.$(OBJEXT) sframe-opt.$(OBJEXT) \
180 stabs.$(OBJEXT) subsegs.$(OBJEXT) symbols.$(OBJEXT) \
181 write.$(OBJEXT)
182 am_as_new_OBJECTS = $(am__objects_1)
183 am__dirstamp = $(am__leading_dot)dirstamp
184 as_new_OBJECTS = $(am_as_new_OBJECTS)
185 am__DEPENDENCIES_1 =
186 am__DEPENDENCIES_2 = ../bfd/libbfd.la ../libiberty/libiberty.a
187 AM_V_lt = $(am__v_lt_@AM_V@)
188 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
189 am__v_lt_0 = --silent
190 am__v_lt_1 =
191 am_itbl_test_OBJECTS = itbl-parse.$(OBJEXT) itbl-lex.$(OBJEXT)
192 itbl_test_OBJECTS = $(am_itbl_test_OBJECTS)
193 itbl_test_DEPENDENCIES = itbl-tops.@OBJEXT@ itbl-test.@OBJEXT@ \
194 $(am__DEPENDENCIES_2)
195 SCRIPTS = $(noinst_SCRIPTS)
196 AM_V_P = $(am__v_P_@AM_V@)
197 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
198 am__v_P_0 = false
199 am__v_P_1 = :
200 AM_V_GEN = $(am__v_GEN_@AM_V@)
201 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
202 am__v_GEN_0 = @echo " GEN " $@;
203 am__v_GEN_1 =
204 AM_V_at = $(am__v_at_@AM_V@)
205 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
206 am__v_at_0 = @
207 am__v_at_1 =
208 DEFAULT_INCLUDES = -I.@am__isrc@
209 depcomp = $(SHELL) $(top_srcdir)/../depcomp
210 am__depfiles_maybe = depfiles
211 am__mv = mv -f
212 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
213 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
214 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
215 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
216 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
217 $(AM_CFLAGS) $(CFLAGS)
218 AM_V_CC = $(am__v_CC_@AM_V@)
219 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
220 am__v_CC_0 = @echo " CC " $@;
221 am__v_CC_1 =
222 CCLD = $(CC)
223 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
224 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
225 $(AM_LDFLAGS) $(LDFLAGS) -o $@
226 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
227 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
228 am__v_CCLD_0 = @echo " CCLD " $@;
229 am__v_CCLD_1 =
230 @MAINTAINER_MODE_FALSE@am__skiplex = test -f $@ ||
231 LEXCOMPILE = $(LEX) $(AM_LFLAGS) $(LFLAGS)
232 LTLEXCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
233 $(LIBTOOLFLAGS) --mode=compile $(LEX) $(AM_LFLAGS) $(LFLAGS)
234 AM_V_LEX = $(am__v_LEX_@AM_V@)
235 am__v_LEX_ = $(am__v_LEX_@AM_DEFAULT_V@)
236 am__v_LEX_0 = @echo " LEX " $@;
237 am__v_LEX_1 =
238 YLWRAP = $(top_srcdir)/../ylwrap
239 @MAINTAINER_MODE_FALSE@am__skipyacc = test -f $@ ||
240 am__yacc_c2h = sed -e s/cc$$/hh/ -e s/cpp$$/hpp/ -e s/cxx$$/hxx/ \
241 -e s/c++$$/h++/ -e s/c$$/h/
242 YACCCOMPILE = $(YACC) $(AM_YFLAGS) $(YFLAGS)
243 LTYACCCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
244 $(LIBTOOLFLAGS) --mode=compile $(YACC) $(AM_YFLAGS) $(YFLAGS)
245 AM_V_YACC = $(am__v_YACC_@AM_V@)
246 am__v_YACC_ = $(am__v_YACC_@AM_DEFAULT_V@)
247 am__v_YACC_0 = @echo " YACC " $@;
248 am__v_YACC_1 =
249 SOURCES = $(as_new_SOURCES) $(EXTRA_as_new_SOURCES) \
250 $(itbl_test_SOURCES)
251 AM_V_DVIPS = $(am__v_DVIPS_@AM_V@)
252 am__v_DVIPS_ = $(am__v_DVIPS_@AM_DEFAULT_V@)
253 am__v_DVIPS_0 = @echo " DVIPS " $@;
254 am__v_DVIPS_1 =
255 AM_V_MAKEINFO = $(am__v_MAKEINFO_@AM_V@)
256 am__v_MAKEINFO_ = $(am__v_MAKEINFO_@AM_DEFAULT_V@)
257 am__v_MAKEINFO_0 = @echo " MAKEINFO" $@;
258 am__v_MAKEINFO_1 =
259 AM_V_INFOHTML = $(am__v_INFOHTML_@AM_V@)
260 am__v_INFOHTML_ = $(am__v_INFOHTML_@AM_DEFAULT_V@)
261 am__v_INFOHTML_0 = @echo " INFOHTML" $@;
262 am__v_INFOHTML_1 =
263 AM_V_TEXI2DVI = $(am__v_TEXI2DVI_@AM_V@)
264 am__v_TEXI2DVI_ = $(am__v_TEXI2DVI_@AM_DEFAULT_V@)
265 am__v_TEXI2DVI_0 = @echo " TEXI2DVI" $@;
266 am__v_TEXI2DVI_1 =
267 AM_V_TEXI2PDF = $(am__v_TEXI2PDF_@AM_V@)
268 am__v_TEXI2PDF_ = $(am__v_TEXI2PDF_@AM_DEFAULT_V@)
269 am__v_TEXI2PDF_0 = @echo " TEXI2PDF" $@;
270 am__v_TEXI2PDF_1 =
271 AM_V_texinfo = $(am__v_texinfo_@AM_V@)
272 am__v_texinfo_ = $(am__v_texinfo_@AM_DEFAULT_V@)
273 am__v_texinfo_0 = -q
274 am__v_texinfo_1 =
275 AM_V_texidevnull = $(am__v_texidevnull_@AM_V@)
276 am__v_texidevnull_ = $(am__v_texidevnull_@AM_DEFAULT_V@)
277 am__v_texidevnull_0 = > /dev/null
278 am__v_texidevnull_1 =
279 INFO_DEPS = doc/as.info
280 TEXINFO_TEX = $(top_srcdir)/../texinfo.tex
281 am__TEXINFO_TEX_DIR = $(top_srcdir)/..
282 DVIS = doc/as.dvi
283 PDFS = doc/as.pdf
284 PSS = doc/as.ps
285 HTMLS = doc/as.html
286 TEXINFOS = doc/as.texi
287 TEXI2PDF = $(TEXI2DVI) --pdf --batch
288 MAKEINFOHTML = $(MAKEINFO) --html
289 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
290 DVIPS = dvips
291 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
292 ctags-recursive dvi-recursive html-recursive info-recursive \
293 install-data-recursive install-dvi-recursive \
294 install-exec-recursive install-html-recursive \
295 install-info-recursive install-pdf-recursive \
296 install-ps-recursive install-recursive installcheck-recursive \
297 installdirs-recursive pdf-recursive ps-recursive \
298 tags-recursive uninstall-recursive
299 am__can_run_installinfo = \
300 case $$AM_UPDATE_INFO_DIR in \
301 n|no|NO) false;; \
302 *) (install-info --version) >/dev/null 2>&1;; \
303 esac
304 am__installdirs = "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"
305 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
306 am__vpath_adj = case $$p in \
307 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
308 *) f=$$p;; \
309 esac;
310 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
311 am__install_max = 40
312 am__nobase_strip_setup = \
313 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
314 am__nobase_strip = \
315 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
316 am__nobase_list = $(am__nobase_strip_setup); \
317 for p in $$list; do echo "$$p $$p"; done | \
318 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
319 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
320 if (++n[$$2] == $(am__install_max)) \
321 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
322 END { for (dir in files) print dir, files[dir] }'
323 am__base_list = \
324 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
325 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
326 am__uninstall_files_from_dir = { \
327 test -z "$$files" \
328 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
329 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
330 $(am__cd) "$$dir" && rm -f $$files; }; \
331 }
332 man1dir = $(mandir)/man1
333 NROFF = nroff
334 MANS = $(man_MANS)
335 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
336 distclean-recursive maintainer-clean-recursive
337 am__recursive_targets = \
338 $(RECURSIVE_TARGETS) \
339 $(RECURSIVE_CLEAN_TARGETS) \
340 $(am__extra_recursive_targets)
341 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
342 cscope
343 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
344 $(LISP)config.in
345 # Read a list of newline-separated strings from the standard input,
346 # and print each of them once, without duplicates. Input order is
347 # *not* preserved.
348 am__uniquify_input = $(AWK) '\
349 BEGIN { nonempty = 0; } \
350 { items[$$0] = 1; nonempty = 1; } \
351 END { if (nonempty) { for (i in items) print i; }; } \
352 '
353 # Make sure the list of sources is unique. This is necessary because,
354 # e.g., the same source file might be shared among _SOURCES variables
355 # for different programs/libraries.
356 am__define_uniq_tagged_files = \
357 list='$(am__tagged_files)'; \
358 unique=`for i in $$list; do \
359 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
360 done | $(am__uniquify_input)`
361 ETAGS = etags
362 CTAGS = ctags
363 CSCOPE = cscope
364 DEJATOOL = $(PACKAGE)
365 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
366 DIST_SUBDIRS = $(SUBDIRS)
367 ACLOCAL = @ACLOCAL@
368 AMTAR = @AMTAR@
369 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
370 AR = @AR@
371 AUTOCONF = @AUTOCONF@
372 AUTOHEADER = @AUTOHEADER@
373 AUTOMAKE = @AUTOMAKE@
374 AWK = @AWK@
375 CATALOGS = @CATALOGS@
376 CATOBJEXT = @CATOBJEXT@
377 CC = @CC@
378 CCDEPMODE = @CCDEPMODE@
379 CFLAGS = @CFLAGS@
380 CPP = @CPP@
381 CPPFLAGS = @CPPFLAGS@
382 CYGPATH_W = @CYGPATH_W@
383 DATADIRNAME = @DATADIRNAME@
384 DEFS = @DEFS@
385 DEPDIR = @DEPDIR@
386 DSYMUTIL = @DSYMUTIL@
387 DUMPBIN = @DUMPBIN@
388 ECHO_C = @ECHO_C@
389 ECHO_N = @ECHO_N@
390 ECHO_T = @ECHO_T@
391 EGREP = @EGREP@
392 EXEEXT = @EXEEXT@
393 FGREP = @FGREP@
394 GDBINIT = @GDBINIT@
395 GENCAT = @GENCAT@
396 GMSGFMT = @GMSGFMT@
397 GREP = @GREP@
398 INCINTL = @INCINTL@
399 INSTALL = @INSTALL@
400 INSTALL_DATA = @INSTALL_DATA@
401 INSTALL_PROGRAM = @INSTALL_PROGRAM@
402 INSTALL_SCRIPT = @INSTALL_SCRIPT@
403 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
404 INSTOBJEXT = @INSTOBJEXT@
405 INTLLIBS = @INTLLIBS@
406 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
407 LARGEFILE_CPPFLAGS = @LARGEFILE_CPPFLAGS@
408 LD = @LD@
409 LDFLAGS = @LDFLAGS@
410 LEX = `if [ -f ../flex/flex ] ; then echo ../flex/flex ; else echo @LEX@ ; fi`
411 LEXLIB = @LEXLIB@
412 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
413 LIBICONV = @LIBICONV@
414 LIBINTL = @LIBINTL@
415 LIBINTL_DEP = @LIBINTL_DEP@
416 LIBM = @LIBM@
417 LIBOBJS = @LIBOBJS@
418 LIBS = @LIBS@
419 LIBTOOL = @LIBTOOL@
420 LIPO = @LIPO@
421 LN_S = @LN_S@
422 LTLIBICONV = @LTLIBICONV@
423 LTLIBINTL = @LTLIBINTL@
424 LTLIBOBJS = @LTLIBOBJS@
425 MAINT = @MAINT@
426 MAKEINFO = @MAKEINFO@
427 MKDIR_P = @MKDIR_P@
428 MKINSTALLDIRS = @MKINSTALLDIRS@
429 MSGFMT = @MSGFMT@
430 MSGMERGE = @MSGMERGE@
431 NM = @NM@
432 NMEDIT = @NMEDIT@
433 NO_WERROR = @NO_WERROR@
434 OBJDUMP = @OBJDUMP@
435 OBJEXT = @OBJEXT@
436 OPCODES_LIB = @OPCODES_LIB@
437 OTOOL = @OTOOL@
438 OTOOL64 = @OTOOL64@
439 PACKAGE = @PACKAGE@
440 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
441 PACKAGE_NAME = @PACKAGE_NAME@
442 PACKAGE_STRING = @PACKAGE_STRING@
443 PACKAGE_TARNAME = @PACKAGE_TARNAME@
444 PACKAGE_URL = @PACKAGE_URL@
445 PACKAGE_VERSION = @PACKAGE_VERSION@
446 PATH_SEPARATOR = @PATH_SEPARATOR@
447 PKG_CONFIG = @PKG_CONFIG@
448 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
449 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
450 POSUB = @POSUB@
451 RANLIB = @RANLIB@
452 SED = @SED@
453 SET_MAKE = @SET_MAKE@
454 SHELL = @SHELL@
455 STRIP = @STRIP@
456 USE_NLS = @USE_NLS@
457 VERSION = @VERSION@
458 WARN_CFLAGS = @WARN_CFLAGS@ @WARN_WRITE_STRINGS@
459 WARN_CFLAGS_FOR_BUILD = @WARN_CFLAGS_FOR_BUILD@
460 WARN_WRITE_STRINGS = @WARN_WRITE_STRINGS@
461 XGETTEXT = @XGETTEXT@
462 YACC = `if [ -f ../bison/bison ] ; then echo ../bison/bison -y -L../bison/bison ; else echo @YACC@ ; fi`
463 YFLAGS = @YFLAGS@
464 ZSTD_CFLAGS = @ZSTD_CFLAGS@
465 ZSTD_LIBS = @ZSTD_LIBS@
466 abs_builddir = @abs_builddir@
467 abs_srcdir = @abs_srcdir@
468 abs_top_builddir = @abs_top_builddir@
469 abs_top_srcdir = @abs_top_srcdir@
470 ac_ct_CC = @ac_ct_CC@
471 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
472 am__include = @am__include@
473 am__leading_dot = @am__leading_dot@
474 am__quote = @am__quote@
475 am__tar = @am__tar@
476 am__untar = @am__untar@
477 atof = @atof@
478 bindir = @bindir@
479 build = @build@
480 build_alias = @build_alias@
481 build_cpu = @build_cpu@
482 build_os = @build_os@
483 build_vendor = @build_vendor@
484 builddir = @builddir@
485 cgen_cpu_prefix = @cgen_cpu_prefix@
486 datadir = @datadir@
487 datarootdir = @datarootdir@
488 do_compare = @do_compare@
489 docdir = @docdir@
490 dvidir = @dvidir@
491 exec_prefix = @exec_prefix@
492 extra_objects = @extra_objects@
493 host = @host@
494 host_alias = @host_alias@
495 host_cpu = @host_cpu@
496 host_os = @host_os@
497 host_vendor = @host_vendor@
498 htmldir = @htmldir@
499 includedir = @includedir@
500 infodir = @infodir@
501 install_sh = @install_sh@
502 install_tooldir = @install_tooldir@
503 libdir = @libdir@
504 libexecdir = @libexecdir@
505 localedir = @localedir@
506 localstatedir = @localstatedir@
507 mandir = @mandir@
508 mkdir_p = @mkdir_p@
509 obj_format = @obj_format@
510 oldincludedir = @oldincludedir@
511 pdfdir = @pdfdir@
512 prefix = @prefix@
513 program_transform_name = @program_transform_name@
514 psdir = @psdir@
515 sbindir = @sbindir@
516 sharedstatedir = @sharedstatedir@
517 srcdir = @srcdir@
518 sysconfdir = @sysconfdir@
519 target = @target@
520 target_alias = @target_alias@
521 target_cpu = @target_cpu@
522 target_cpu_type = @target_cpu_type@
523 target_os = @target_os@
524 target_vendor = @target_vendor@
525 te_file = @te_file@
526 top_build_prefix = @top_build_prefix@
527 top_builddir = @top_builddir@
528 top_srcdir = @top_srcdir@
529 zlibdir = @zlibdir@
530 zlibinc = @zlibinc@
531 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects info-in-builddir no-texinfo.tex
532 ACLOCAL_AMFLAGS = -I .. -I ../config -I ../bfd
533 MAINTAINERCLEANFILES = doc/asconfig.texi doc/as.info
534 SUBDIRS = po
535 tooldir = $(exec_prefix)/$(target_alias)
536
537 # This is where we get zlib from. zlibdir is -L../zlib and zlibinc is
538 # -I../zlib, unless we were configured with --with-system-zlib, in which
539 # case both are empty.
540 ZLIB = @zlibdir@ -lz
541 ZLIBINC = @zlibinc@
542
543 # Automake 1.10+ disables lex and yacc output file regeneration if
544 # maintainer mode is disabled. Avoid this.
545 am__skiplex =
546 am__skipyacc =
547 AM_CFLAGS = $(WARN_CFLAGS) $(ZLIBINC) $(ZSTD_CFLAGS)
548 TARG_CPU = @target_cpu_type@
549 TARG_CPU_C = $(srcdir)/config/tc-@target_cpu_type@.c
550 TARG_CPU_O = config/tc-@target_cpu_type@.@OBJEXT@
551 TARG_CPU_H = $(srcdir)/config/tc-@target_cpu_type@.h
552 OBJ_FORMAT_C = $(srcdir)/config/obj-@obj_format@.c
553 OBJ_FORMAT_O = config/obj-@obj_format@.@OBJEXT@
554 OBJ_FORMAT_H = $(srcdir)/config/obj-@obj_format@.h
555 TARG_ENV_H = $(srcdir)/config/te-@te_file@.h
556 ATOF_TARG_C = $(srcdir)/config/atof-@atof@.c
557 ATOF_TARG_O = config/atof-@atof@.@OBJEXT@
558
559 # use @target_cpu_type@ for refering to configured target name
560 IT_HDRS = itbl-parse.h $(srcdir)/itbl-ops.h
561 IT_SRCS = itbl-parse.c itbl-lex-wrapper.c $(srcdir)/itbl-ops.c
562 IT_DEPS = $(srcdir)/itbl-parse.y $(srcdir)/itbl-lex.l $(srcdir)/config/itbl-@target_cpu_type@.h
563 IT_OBJS = itbl-parse.@OBJEXT@ itbl-lex.@OBJEXT@ itbl-ops.@OBJEXT@
564
565 # Regular source files.
566 GAS_CFILES = \
567 app.c \
568 as.c \
569 atof-generic.c \
570 codeview.c \
571 compress-debug.c \
572 cond.c \
573 depend.c \
574 dwarf2dbg.c \
575 dw2gencfi.c \
576 ecoff.c \
577 ehopt.c \
578 expr.c \
579 flonum-copy.c \
580 flonum-konst.c \
581 flonum-mult.c \
582 frags.c \
583 gen-sframe.c \
584 hash.c \
585 input-file.c \
586 input-scrub.c \
587 listing.c \
588 literal.c \
589 macro.c \
590 messages.c \
591 output-file.c \
592 read.c \
593 remap.c \
594 sb.c \
595 sframe-opt.c \
596 stabs.c \
597 subsegs.c \
598 symbols.c \
599 write.c
600
601 CFILES = $(GAS_CFILES) itbl-ops.c cgen.c
602 HFILES = \
603 as.h \
604 asintl.h \
605 bignum.h \
606 bit_fix.h \
607 cgen.h \
608 codeview.h \
609 compress-debug.h \
610 dwarf2dbg.h \
611 dw2gencfi.h \
612 ecoff.h \
613 emul-target.h \
614 emul.h \
615 expr.h \
616 flonum.h \
617 frags.h \
618 gen-sframe.h \
619 hash.h \
620 input-file.h \
621 itbl-lex.h \
622 itbl-ops.h \
623 listing.h \
624 macro.h \
625 obj.h \
626 output-file.h \
627 read.h \
628 sb.h \
629 subsegs.h \
630 symbols.h \
631 tc.h \
632 write.h
633
634
635 # CPU files in config.
636 TARGET_CPU_CFILES = \
637 config/tc-aarch64.c \
638 config/tc-alpha.c \
639 config/tc-arc.c \
640 config/tc-arm.c \
641 config/tc-avr.c \
642 config/tc-bfin.c \
643 config/tc-bpf.c \
644 config/tc-cr16.c \
645 config/tc-cris.c \
646 config/tc-crx.c \
647 config/tc-csky.c \
648 config/tc-d10v.c \
649 config/tc-d30v.c \
650 config/tc-dlx.c \
651 config/tc-epiphany.c \
652 config/tc-fr30.c \
653 config/tc-frv.c \
654 config/tc-ft32.c \
655 config/tc-h8300.c \
656 config/tc-hppa.c \
657 config/tc-ia64.c \
658 config/tc-i386.c \
659 config/tc-ip2k.c \
660 config/tc-iq2000.c \
661 config/tc-kvx.c \
662 config/tc-lm32.c \
663 config/tc-loongarch.c \
664 config/tc-m32c.c \
665 config/tc-m32r.c \
666 config/tc-m68hc11.c \
667 config/tc-m68k.c \
668 config/tc-s12z.c \
669 config/tc-mcore.c \
670 config/tc-mep.c \
671 config/tc-metag.c \
672 config/tc-microblaze.c \
673 config/tc-mips.c \
674 config/tc-mmix.c \
675 config/tc-mn10200.c \
676 config/tc-mn10300.c \
677 config/tc-moxie.c \
678 config/tc-msp430.c \
679 config/tc-mt.c \
680 config/tc-nds32.c \
681 config/tc-nios2.c \
682 config/tc-ns32k.c \
683 config/tc-or1k.c \
684 config/tc-pdp11.c \
685 config/tc-pj.c \
686 config/tc-ppc.c \
687 config/tc-pru.c \
688 config/tc-riscv.c \
689 config/tc-rl78.c \
690 config/tc-rx.c \
691 config/tc-s390.c \
692 config/tc-score.c \
693 config/tc-sh.c \
694 config/tc-sparc.c \
695 config/tc-spu.c \
696 config/tc-tic30.c \
697 config/tc-tic4x.c \
698 config/tc-tic54x.c \
699 config/tc-tic6x.c \
700 config/tc-tilegx.c \
701 config/tc-tilepro.c \
702 config/tc-v850.c \
703 config/tc-vax.c \
704 config/tc-visium.c \
705 config/tc-wasm32.c \
706 config/tc-xstormy16.c \
707 config/tc-xgate.c \
708 config/tc-xtensa.c \
709 config/tc-z80.c \
710 config/tc-z8k.c
711
712 TARGET_CPU_HFILES = \
713 config/tc-aarch64.h \
714 config/tc-alpha.h \
715 config/tc-arc.h \
716 config/tc-arm.h \
717 config/tc-avr.h \
718 config/tc-bfin.h \
719 config/tc-bpf.h \
720 config/tc-cr16.h \
721 config/tc-cris.h \
722 config/tc-crx.h \
723 config/tc-csky.h \
724 config/tc-d10v.h \
725 config/tc-d30v.h \
726 config/tc-dlx.h \
727 config/tc-epiphany.h \
728 config/tc-fr30.h \
729 config/tc-frv.h \
730 config/tc-ft32.h \
731 config/tc-h8300.h \
732 config/tc-hppa.h \
733 config/tc-ia64.h \
734 config/tc-i386.h \
735 config/tc-ip2k.h \
736 config/tc-iq2000.h \
737 config/tc-kvx.h \
738 config/tc-lm32.h \
739 config/tc-m32c.h \
740 config/tc-m32r.h \
741 config/tc-m68hc11.h \
742 config/tc-m68k.h \
743 config/tc-s12z.h \
744 config/tc-mcore.h \
745 config/tc-mep.h \
746 config/tc-metag.h \
747 config/tc-microblaze.h \
748 config/tc-mips.h \
749 config/tc-mmix.h \
750 config/tc-mn10200.h \
751 config/tc-mn10300.h \
752 config/tc-msp430.h \
753 config/tc-mt.h \
754 config/tc-nds32.h \
755 config/tc-nios2.h \
756 config/tc-ns32k.h \
757 config/tc-or1k.h \
758 config/tc-pdp11.h \
759 config/tc-pj.h \
760 config/tc-ppc.h \
761 config/tc-pru.h \
762 config/tc-riscv.h \
763 config/tc-rl78.h \
764 config/tc-rx.h \
765 config/tc-s390.h \
766 config/tc-score.h \
767 config/tc-sh.h \
768 config/tc-sparc.h \
769 config/tc-spu.h \
770 config/tc-tic30.h \
771 config/tc-tic4x.h \
772 config/tc-tic54x.h \
773 config/tc-tic6x.h \
774 config/tc-tilegx.h \
775 config/tc-tilepro.h \
776 config/tc-v850.h \
777 config/tc-vax.h \
778 config/tc-visium.h \
779 config/tc-wasm32.h \
780 config/tc-xstormy16.h \
781 config/tc-xgate.h \
782 config/tc-xtensa.h \
783 config/tc-z80.h \
784 config/tc-z8k.h
785
786 TARGET_EXTRA_FILES = \
787 config/bfin-lex-wrapper.c \
788 config/xtensa-relax.c \
789 config/xtensa-relax.h \
790 config/kvx-parse.h \
791 config/kvx-parse.c
792
793
794 # OBJ files in config
795 OBJ_FORMAT_CFILES = \
796 config/obj-aout.c \
797 config/obj-coff.c \
798 config/obj-ecoff.c \
799 config/obj-elf.c \
800 config/obj-evax.c \
801 config/obj-fdpicelf.c \
802 config/obj-macho.c \
803 config/obj-multi.c \
804 config/obj-som.c
805
806 OBJ_FORMAT_HFILES = \
807 config/obj-aout.h \
808 config/obj-coff.h \
809 config/obj-ecoff.h \
810 config/obj-elf.h \
811 config/obj-evax.h \
812 config/obj-fdpicelf.h \
813 config/obj-macho.h \
814 config/obj-multi.h \
815 config/obj-som.h
816
817
818 # Emulation header files in config
819 TARG_ENV_HFILES = \
820 config/te-386bsd.h \
821 config/te-aix5.h \
822 config/te-armeabi.h \
823 config/te-armfbsdeabi.h \
824 config/te-armfbsdvfp.h \
825 config/te-armlinuxeabi.h \
826 config/te-csky_abiv1.h \
827 config/te-csky_abiv1_linux.h \
828 config/te-csky_abiv2.h \
829 config/te-csky_abiv2_linux.h \
830 config/te-freebsd.h \
831 config/te-generic.h \
832 config/te-gnu.h \
833 config/te-go32.h \
834 config/te-hppa.h \
835 config/te-hppa64.h \
836 config/te-hppalinux64.h \
837 config/te-ia64aix.h \
838 config/te-interix.h \
839 config/te-lynx.h \
840 config/te-macos.h \
841 config/te-nbsd.h \
842 config/te-nbsd532.h \
843 config/te-pc532mach.h \
844 config/te-pe.h \
845 config/te-solaris.h \
846 config/te-tmips.h \
847 config/te-vxworks.h \
848 config/te-wince-pe.h
849
850 TARG_ENV_CFILES = \
851 config/te-vms.c
852
853
854 # Multi files in config
855 MULTI_CFILES = \
856 config/e-crisaout.c \
857 config/e-criself.c \
858 config/e-i386aout.c \
859 config/e-i386coff.c \
860 config/e-i386elf.c \
861 config/e-mipself.c
862
863 CONFIG_ATOF_CFILES = \
864 config/atof-ieee.c \
865 config/atof-vax.c
866
867 POTFILES = $(MULTI_CFILES) $(CONFIG_ATOF_CFILES) \
868 $(TARG_ENV_HFILES) $(TARG_ENV_CFILES) $(OBJ_FORMAT_HFILES) \
869 $(OBJ_FORMAT_CFILES) $(TARGET_CPU_HFILES) $(TARGET_CPU_CFILES) \
870 $(TARGET_EXTRA_FILES) $(HFILES) $(CFILES)
871
872 noinst_SCRIPTS = $(GDBINIT)
873 EXTRA_SCRIPTS = .gdbinit
874 EXTRA_DIST = config/m68k-parse.c itbl-parse.c itbl-parse.h itbl-lex.c \
875 config/bfin-parse.c config/bfin-parse.h config/bfin-lex.c \
876 config/rl78-parse.c config/rl78-parse.h \
877 config/rx-parse.c config/rx-parse.h \
878 config/loongarch-parse.c config/loongarch-parse.h config/loongarch-lex.c
879
880 DISTCLEANFILES = targ-cpu.h obj-format.h targ-env.h itbl-cpu.h cgen-desc.h
881
882 # Now figure out from those variables how to compile and link.
883 BASEDIR = $(srcdir)/..
884 BFDDIR = $(BASEDIR)/bfd
885 INCDIR = $(BASEDIR)/include
886
887 # This is the variable actually used when we compile.
888 # Specify the directories to be searched for header files.
889 # Both . and srcdir are used, in that order,
890 # so that tm.h and config.h will be found in the compilation
891 # subdirectory rather than in the source directory.
892 AM_CPPFLAGS = -I. -I$(srcdir) -I../bfd -I$(srcdir)/config \
893 -I$(INCDIR) -I$(srcdir)/.. -I$(BFDDIR) @INCINTL@ @LARGEFILE_CPPFLAGS@ \
894 -DLOCALEDIR="\"$(datadir)/locale\""
895
896
897 # How to link with both our special library facilities
898 # and the system's installed libraries.
899 GASLIBS = @OPCODES_LIB@ ../bfd/libbfd.la ../libiberty/libiberty.a
900
901 # Files to be copied away after each stage in building.
902 STAGESTUFF = *.@OBJEXT@ $(noinst_PROGRAMS)
903 as_new_SOURCES = $(GAS_CFILES)
904 as_new_LDADD = $(TARG_CPU_O) $(OBJ_FORMAT_O) $(ATOF_TARG_O) \
905 $(extra_objects) $(GASLIBS) $(LIBINTL) $(LIBM) $(ZLIB) $(ZSTD_LIBS)
906
907 as_new_DEPENDENCIES = $(TARG_CPU_O) $(OBJ_FORMAT_O) $(ATOF_TARG_O) \
908 $(extra_objects) $(GASLIBS) $(LIBINTL_DEP)
909
910
911 # The LoongArch lexical analyzer and parser.
912 EXTRA_as_new_SOURCES = $(CFILES) $(HFILES) $(TARGET_CPU_CFILES) \
913 $(TARGET_CPU_HFILES) $(TARGET_EXTRA_FILES) $(TARG_ENV_CFILES) \
914 $(OBJ_FORMAT_CFILES) $(OBJ_FORMAT_HFILES) \
915 $(CONFIG_ATOF_CFILES) $(MULTI_CFILES) config/m68k-parse.y \
916 config/bfin-parse.y config/bfin-lex.l config/rl78-parse.y \
917 config/rx-parse.y config/loongarch-parse.y \
918 config/loongarch-lex.l
919 EXPECT = expect
920 RUNTEST = runtest
921 RUNTESTFLAGS =
922 i386_tbl_deps = $(srcdir)/../opcodes/i386-opc.tbl \
923 $(srcdir)/../opcodes/i386-reg.tbl \
924 $(srcdir)/../opcodes/i386-gen.c $(srcdir)/../opcodes/i386-opc.h
925
926 itbl_test_SOURCES = itbl-parse.y itbl-lex.l
927 itbl_test_LDADD = itbl-tops.@OBJEXT@ itbl-test.@OBJEXT@ $(GASLIBS) @LEXLIB@
928
929 # CGEN interface.
930 CGEN_CPU_PREFIX = @cgen_cpu_prefix@
931
932 # Remake the info files.
933 MOSTLYCLEANFILES = $(STAGESTUFF) core \
934 testsuite/*.@OBJEXT@ testsuite/*.out testsuite/gas.log testsuite/gas.sum \
935 testsuite/site.exp site.bak site.exp development.exp stage stage1 stage2
936
937 against = stage2
938
939 # Reconfigure if configure.tgt changes.
940 # development.sh is used to determine -Werror default.
941 CONFIG_STATUS_DEPENDENCIES = $(srcdir)/configure.tgt $(BFDDIR)/development.sh
942 EXTRA_DEJAGNU_SITE_CONFIG = development.exp
943
944 # What version of the manual you want; "all" includes everything
945 CONFIG = all
946
947 # Options to extract the man page from as.texi
948 MANCONF = -Dman
949 TEXI2POD = perl $(BASEDIR)/etc/texi2pod.pl $(AM_MAKEINFOFLAGS)
950 POD2MAN = pod2man --center="GNU Development Tools" \
951 --release="binutils-$(VERSION)" --section=1
952
953 man_MANS = doc/as.1
954 info_TEXINFOS = doc/as.texi
955 doc_as_TEXINFOS = doc/asconfig.texi $(CPU_DOCS)
956 AM_MAKEINFOFLAGS = -I "$(srcdir)/doc" -I doc -I "$(srcdir)/../libiberty" \
957 -I "$(srcdir)/../bfd/doc" -I ../bfd/doc \
958 --no-split
959
960 TEXI2DVI = texi2dvi -I "$(srcdir)/doc" -I doc -I "$(srcdir)/../libiberty" \
961 -I "$(srcdir)/../bfd/doc" -I ../bfd/doc
962
963 CPU_DOCS = \
964 doc/c-aarch64.texi \
965 doc/c-alpha.texi \
966 doc/c-arc.texi \
967 doc/c-arm.texi \
968 doc/c-avr.texi \
969 doc/c-bfin.texi \
970 doc/c-bpf.texi \
971 doc/c-cr16.texi \
972 doc/c-cris.texi \
973 doc/c-csky.texi \
974 doc/c-d10v.texi \
975 doc/c-epiphany.texi \
976 doc/c-h8300.texi \
977 doc/c-hppa.texi \
978 doc/c-i386.texi \
979 doc/c-ip2k.texi \
980 doc/c-kvx.texi \
981 doc/c-lm32.texi \
982 doc/c-m32c.texi \
983 doc/c-m32r.texi \
984 doc/c-m68hc11.texi \
985 doc/c-m68k.texi \
986 doc/c-s12z.texi \
987 doc/c-metag.texi \
988 doc/c-microblaze.texi \
989 doc/c-mips.texi \
990 doc/c-mmix.texi \
991 doc/c-mt.texi \
992 doc/c-msp430.texi \
993 doc/c-nios2.texi \
994 doc/c-nds32.texi \
995 doc/c-ns32k.texi \
996 doc/c-or1k.texi \
997 doc/c-pdp11.texi \
998 doc/c-pj.texi \
999 doc/c-ppc.texi \
1000 doc/c-pru.texi \
1001 doc/c-rl78.texi \
1002 doc/c-riscv.texi \
1003 doc/c-rx.texi \
1004 doc/c-s390.texi \
1005 doc/c-score.texi \
1006 doc/c-sh.texi \
1007 doc/c-sparc.texi \
1008 doc/c-tic54x.texi \
1009 doc/c-tic6x.texi \
1010 doc/c-tilegx.texi \
1011 doc/c-tilepro.texi \
1012 doc/c-v850.texi \
1013 doc/c-vax.texi \
1014 doc/c-visium.texi \
1015 doc/c-xgate.texi \
1016 doc/c-xstormy16.texi \
1017 doc/c-xtensa.texi \
1018 doc/c-z80.texi \
1019 doc/c-z8k.texi
1020
1021
1022 # This one isn't ready for prime time yet. Not even a little bit.
1023 noinst_TEXINFOS = doc/internals.texi
1024 all: config.h
1025 $(MAKE) $(AM_MAKEFLAGS) all-recursive
1026
1027 .SUFFIXES:
1028 .SUFFIXES: .c .dvi .l .lo .o .obj .ps .y
1029 am--refresh: Makefile
1030 @:
1031 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/doc/local.mk $(am__configure_deps)
1032 @for dep in $?; do \
1033 case '$(am__configure_deps)' in \
1034 *$$dep*) \
1035 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
1036 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
1037 && exit 0; \
1038 exit 1;; \
1039 esac; \
1040 done; \
1041 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
1042 $(am__cd) $(top_srcdir) && \
1043 $(AUTOMAKE) --foreign Makefile
1044 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
1045 @case '$?' in \
1046 *config.status*) \
1047 echo ' $(SHELL) ./config.status'; \
1048 $(SHELL) ./config.status;; \
1049 *) \
1050 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
1051 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
1052 esac;
1053 $(srcdir)/doc/local.mk $(am__empty):
1054
1055 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
1056 $(SHELL) ./config.status --recheck
1057
1058 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
1059 $(am__cd) $(srcdir) && $(AUTOCONF)
1060 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
1061 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
1062 $(am__aclocal_m4_deps):
1063
1064 config.h: stamp-h1
1065 @test -f $@ || rm -f stamp-h1
1066 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
1067
1068 stamp-h1: $(srcdir)/config.in $(top_builddir)/config.status
1069 @rm -f stamp-h1
1070 cd $(top_builddir) && $(SHELL) ./config.status config.h
1071 $(srcdir)/config.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
1072 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
1073 rm -f stamp-h1
1074 touch $@
1075
1076 distclean-hdr:
1077 -rm -f config.h stamp-h1
1078 gdb.ini: $(top_builddir)/config.status $(srcdir)/gdbinit.in
1079 cd $(top_builddir) && $(SHELL) ./config.status $@
1080 .gdbinit: $(top_builddir)/config.status $(srcdir)/gdbinit.in
1081 cd $(top_builddir) && $(SHELL) ./config.status $@
1082 po/Makefile.in: $(top_builddir)/config.status $(top_srcdir)/po/Make-in
1083 cd $(top_builddir) && $(SHELL) ./config.status $@
1084
1085 clean-noinstPROGRAMS:
1086 @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
1087 echo " rm -f" $$list; \
1088 rm -f $$list || exit $$?; \
1089 test -n "$(EXEEXT)" || exit 0; \
1090 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1091 echo " rm -f" $$list; \
1092 rm -f $$list
1093 config/$(am__dirstamp):
1094 @$(MKDIR_P) config
1095 @: > config/$(am__dirstamp)
1096 config/$(DEPDIR)/$(am__dirstamp):
1097 @$(MKDIR_P) config/$(DEPDIR)
1098 @: > config/$(DEPDIR)/$(am__dirstamp)
1099 config/tc-aarch64.$(OBJEXT): config/$(am__dirstamp) \
1100 config/$(DEPDIR)/$(am__dirstamp)
1101 config/tc-alpha.$(OBJEXT): config/$(am__dirstamp) \
1102 config/$(DEPDIR)/$(am__dirstamp)
1103 config/tc-arc.$(OBJEXT): config/$(am__dirstamp) \
1104 config/$(DEPDIR)/$(am__dirstamp)
1105 config/tc-arm.$(OBJEXT): config/$(am__dirstamp) \
1106 config/$(DEPDIR)/$(am__dirstamp)
1107 config/tc-avr.$(OBJEXT): config/$(am__dirstamp) \
1108 config/$(DEPDIR)/$(am__dirstamp)
1109 config/tc-bfin.$(OBJEXT): config/$(am__dirstamp) \
1110 config/$(DEPDIR)/$(am__dirstamp)
1111 config/tc-bpf.$(OBJEXT): config/$(am__dirstamp) \
1112 config/$(DEPDIR)/$(am__dirstamp)
1113 config/tc-cr16.$(OBJEXT): config/$(am__dirstamp) \
1114 config/$(DEPDIR)/$(am__dirstamp)
1115 config/tc-cris.$(OBJEXT): config/$(am__dirstamp) \
1116 config/$(DEPDIR)/$(am__dirstamp)
1117 config/tc-crx.$(OBJEXT): config/$(am__dirstamp) \
1118 config/$(DEPDIR)/$(am__dirstamp)
1119 config/tc-csky.$(OBJEXT): config/$(am__dirstamp) \
1120 config/$(DEPDIR)/$(am__dirstamp)
1121 config/tc-d10v.$(OBJEXT): config/$(am__dirstamp) \
1122 config/$(DEPDIR)/$(am__dirstamp)
1123 config/tc-d30v.$(OBJEXT): config/$(am__dirstamp) \
1124 config/$(DEPDIR)/$(am__dirstamp)
1125 config/tc-dlx.$(OBJEXT): config/$(am__dirstamp) \
1126 config/$(DEPDIR)/$(am__dirstamp)
1127 config/tc-epiphany.$(OBJEXT): config/$(am__dirstamp) \
1128 config/$(DEPDIR)/$(am__dirstamp)
1129 config/tc-fr30.$(OBJEXT): config/$(am__dirstamp) \
1130 config/$(DEPDIR)/$(am__dirstamp)
1131 config/tc-frv.$(OBJEXT): config/$(am__dirstamp) \
1132 config/$(DEPDIR)/$(am__dirstamp)
1133 config/tc-ft32.$(OBJEXT): config/$(am__dirstamp) \
1134 config/$(DEPDIR)/$(am__dirstamp)
1135 config/tc-h8300.$(OBJEXT): config/$(am__dirstamp) \
1136 config/$(DEPDIR)/$(am__dirstamp)
1137 config/tc-hppa.$(OBJEXT): config/$(am__dirstamp) \
1138 config/$(DEPDIR)/$(am__dirstamp)
1139 config/tc-ia64.$(OBJEXT): config/$(am__dirstamp) \
1140 config/$(DEPDIR)/$(am__dirstamp)
1141 config/tc-i386.$(OBJEXT): config/$(am__dirstamp) \
1142 config/$(DEPDIR)/$(am__dirstamp)
1143 config/tc-ip2k.$(OBJEXT): config/$(am__dirstamp) \
1144 config/$(DEPDIR)/$(am__dirstamp)
1145 config/tc-iq2000.$(OBJEXT): config/$(am__dirstamp) \
1146 config/$(DEPDIR)/$(am__dirstamp)
1147 config/tc-kvx.$(OBJEXT): config/$(am__dirstamp) \
1148 config/$(DEPDIR)/$(am__dirstamp)
1149 config/tc-lm32.$(OBJEXT): config/$(am__dirstamp) \
1150 config/$(DEPDIR)/$(am__dirstamp)
1151 config/tc-loongarch.$(OBJEXT): config/$(am__dirstamp) \
1152 config/$(DEPDIR)/$(am__dirstamp)
1153 config/tc-m32c.$(OBJEXT): config/$(am__dirstamp) \
1154 config/$(DEPDIR)/$(am__dirstamp)
1155 config/tc-m32r.$(OBJEXT): config/$(am__dirstamp) \
1156 config/$(DEPDIR)/$(am__dirstamp)
1157 config/tc-m68hc11.$(OBJEXT): config/$(am__dirstamp) \
1158 config/$(DEPDIR)/$(am__dirstamp)
1159 config/tc-m68k.$(OBJEXT): config/$(am__dirstamp) \
1160 config/$(DEPDIR)/$(am__dirstamp)
1161 config/tc-s12z.$(OBJEXT): config/$(am__dirstamp) \
1162 config/$(DEPDIR)/$(am__dirstamp)
1163 config/tc-mcore.$(OBJEXT): config/$(am__dirstamp) \
1164 config/$(DEPDIR)/$(am__dirstamp)
1165 config/tc-mep.$(OBJEXT): config/$(am__dirstamp) \
1166 config/$(DEPDIR)/$(am__dirstamp)
1167 config/tc-metag.$(OBJEXT): config/$(am__dirstamp) \
1168 config/$(DEPDIR)/$(am__dirstamp)
1169 config/tc-microblaze.$(OBJEXT): config/$(am__dirstamp) \
1170 config/$(DEPDIR)/$(am__dirstamp)
1171 config/tc-mips.$(OBJEXT): config/$(am__dirstamp) \
1172 config/$(DEPDIR)/$(am__dirstamp)
1173 config/tc-mmix.$(OBJEXT): config/$(am__dirstamp) \
1174 config/$(DEPDIR)/$(am__dirstamp)
1175 config/tc-mn10200.$(OBJEXT): config/$(am__dirstamp) \
1176 config/$(DEPDIR)/$(am__dirstamp)
1177 config/tc-mn10300.$(OBJEXT): config/$(am__dirstamp) \
1178 config/$(DEPDIR)/$(am__dirstamp)
1179 config/tc-moxie.$(OBJEXT): config/$(am__dirstamp) \
1180 config/$(DEPDIR)/$(am__dirstamp)
1181 config/tc-msp430.$(OBJEXT): config/$(am__dirstamp) \
1182 config/$(DEPDIR)/$(am__dirstamp)
1183 config/tc-mt.$(OBJEXT): config/$(am__dirstamp) \
1184 config/$(DEPDIR)/$(am__dirstamp)
1185 config/tc-nds32.$(OBJEXT): config/$(am__dirstamp) \
1186 config/$(DEPDIR)/$(am__dirstamp)
1187 config/tc-nios2.$(OBJEXT): config/$(am__dirstamp) \
1188 config/$(DEPDIR)/$(am__dirstamp)
1189 config/tc-ns32k.$(OBJEXT): config/$(am__dirstamp) \
1190 config/$(DEPDIR)/$(am__dirstamp)
1191 config/tc-or1k.$(OBJEXT): config/$(am__dirstamp) \
1192 config/$(DEPDIR)/$(am__dirstamp)
1193 config/tc-pdp11.$(OBJEXT): config/$(am__dirstamp) \
1194 config/$(DEPDIR)/$(am__dirstamp)
1195 config/tc-pj.$(OBJEXT): config/$(am__dirstamp) \
1196 config/$(DEPDIR)/$(am__dirstamp)
1197 config/tc-ppc.$(OBJEXT): config/$(am__dirstamp) \
1198 config/$(DEPDIR)/$(am__dirstamp)
1199 config/tc-pru.$(OBJEXT): config/$(am__dirstamp) \
1200 config/$(DEPDIR)/$(am__dirstamp)
1201 config/tc-riscv.$(OBJEXT): config/$(am__dirstamp) \
1202 config/$(DEPDIR)/$(am__dirstamp)
1203 config/tc-rl78.$(OBJEXT): config/$(am__dirstamp) \
1204 config/$(DEPDIR)/$(am__dirstamp)
1205 config/tc-rx.$(OBJEXT): config/$(am__dirstamp) \
1206 config/$(DEPDIR)/$(am__dirstamp)
1207 config/tc-s390.$(OBJEXT): config/$(am__dirstamp) \
1208 config/$(DEPDIR)/$(am__dirstamp)
1209 config/tc-score.$(OBJEXT): config/$(am__dirstamp) \
1210 config/$(DEPDIR)/$(am__dirstamp)
1211 config/tc-sh.$(OBJEXT): config/$(am__dirstamp) \
1212 config/$(DEPDIR)/$(am__dirstamp)
1213 config/tc-sparc.$(OBJEXT): config/$(am__dirstamp) \
1214 config/$(DEPDIR)/$(am__dirstamp)
1215 config/tc-spu.$(OBJEXT): config/$(am__dirstamp) \
1216 config/$(DEPDIR)/$(am__dirstamp)
1217 config/tc-tic30.$(OBJEXT): config/$(am__dirstamp) \
1218 config/$(DEPDIR)/$(am__dirstamp)
1219 config/tc-tic4x.$(OBJEXT): config/$(am__dirstamp) \
1220 config/$(DEPDIR)/$(am__dirstamp)
1221 config/tc-tic54x.$(OBJEXT): config/$(am__dirstamp) \
1222 config/$(DEPDIR)/$(am__dirstamp)
1223 config/tc-tic6x.$(OBJEXT): config/$(am__dirstamp) \
1224 config/$(DEPDIR)/$(am__dirstamp)
1225 config/tc-tilegx.$(OBJEXT): config/$(am__dirstamp) \
1226 config/$(DEPDIR)/$(am__dirstamp)
1227 config/tc-tilepro.$(OBJEXT): config/$(am__dirstamp) \
1228 config/$(DEPDIR)/$(am__dirstamp)
1229 config/tc-v850.$(OBJEXT): config/$(am__dirstamp) \
1230 config/$(DEPDIR)/$(am__dirstamp)
1231 config/tc-vax.$(OBJEXT): config/$(am__dirstamp) \
1232 config/$(DEPDIR)/$(am__dirstamp)
1233 config/tc-visium.$(OBJEXT): config/$(am__dirstamp) \
1234 config/$(DEPDIR)/$(am__dirstamp)
1235 config/tc-wasm32.$(OBJEXT): config/$(am__dirstamp) \
1236 config/$(DEPDIR)/$(am__dirstamp)
1237 config/tc-xstormy16.$(OBJEXT): config/$(am__dirstamp) \
1238 config/$(DEPDIR)/$(am__dirstamp)
1239 config/tc-xgate.$(OBJEXT): config/$(am__dirstamp) \
1240 config/$(DEPDIR)/$(am__dirstamp)
1241 config/tc-xtensa.$(OBJEXT): config/$(am__dirstamp) \
1242 config/$(DEPDIR)/$(am__dirstamp)
1243 config/tc-z80.$(OBJEXT): config/$(am__dirstamp) \
1244 config/$(DEPDIR)/$(am__dirstamp)
1245 config/tc-z8k.$(OBJEXT): config/$(am__dirstamp) \
1246 config/$(DEPDIR)/$(am__dirstamp)
1247 config/bfin-lex-wrapper.$(OBJEXT): config/$(am__dirstamp) \
1248 config/$(DEPDIR)/$(am__dirstamp)
1249 config/xtensa-relax.$(OBJEXT): config/$(am__dirstamp) \
1250 config/$(DEPDIR)/$(am__dirstamp)
1251 config/kvx-parse.$(OBJEXT): config/$(am__dirstamp) \
1252 config/$(DEPDIR)/$(am__dirstamp)
1253 config/te-vms.$(OBJEXT): config/$(am__dirstamp) \
1254 config/$(DEPDIR)/$(am__dirstamp)
1255 config/obj-aout.$(OBJEXT): config/$(am__dirstamp) \
1256 config/$(DEPDIR)/$(am__dirstamp)
1257 config/obj-coff.$(OBJEXT): config/$(am__dirstamp) \
1258 config/$(DEPDIR)/$(am__dirstamp)
1259 config/obj-ecoff.$(OBJEXT): config/$(am__dirstamp) \
1260 config/$(DEPDIR)/$(am__dirstamp)
1261 config/obj-elf.$(OBJEXT): config/$(am__dirstamp) \
1262 config/$(DEPDIR)/$(am__dirstamp)
1263 config/obj-evax.$(OBJEXT): config/$(am__dirstamp) \
1264 config/$(DEPDIR)/$(am__dirstamp)
1265 config/obj-fdpicelf.$(OBJEXT): config/$(am__dirstamp) \
1266 config/$(DEPDIR)/$(am__dirstamp)
1267 config/obj-macho.$(OBJEXT): config/$(am__dirstamp) \
1268 config/$(DEPDIR)/$(am__dirstamp)
1269 config/obj-multi.$(OBJEXT): config/$(am__dirstamp) \
1270 config/$(DEPDIR)/$(am__dirstamp)
1271 config/obj-som.$(OBJEXT): config/$(am__dirstamp) \
1272 config/$(DEPDIR)/$(am__dirstamp)
1273 config/atof-ieee.$(OBJEXT): config/$(am__dirstamp) \
1274 config/$(DEPDIR)/$(am__dirstamp)
1275 config/atof-vax.$(OBJEXT): config/$(am__dirstamp) \
1276 config/$(DEPDIR)/$(am__dirstamp)
1277 config/e-crisaout.$(OBJEXT): config/$(am__dirstamp) \
1278 config/$(DEPDIR)/$(am__dirstamp)
1279 config/e-criself.$(OBJEXT): config/$(am__dirstamp) \
1280 config/$(DEPDIR)/$(am__dirstamp)
1281 config/e-i386aout.$(OBJEXT): config/$(am__dirstamp) \
1282 config/$(DEPDIR)/$(am__dirstamp)
1283 config/e-i386coff.$(OBJEXT): config/$(am__dirstamp) \
1284 config/$(DEPDIR)/$(am__dirstamp)
1285 config/e-i386elf.$(OBJEXT): config/$(am__dirstamp) \
1286 config/$(DEPDIR)/$(am__dirstamp)
1287 config/e-mipself.$(OBJEXT): config/$(am__dirstamp) \
1288 config/$(DEPDIR)/$(am__dirstamp)
1289 config/m68k-parse.$(OBJEXT): config/$(am__dirstamp) \
1290 config/$(DEPDIR)/$(am__dirstamp)
1291 config/bfin-parse.$(OBJEXT): config/$(am__dirstamp) \
1292 config/$(DEPDIR)/$(am__dirstamp)
1293 config/bfin-lex.$(OBJEXT): config/$(am__dirstamp) \
1294 config/$(DEPDIR)/$(am__dirstamp)
1295 config/rl78-parse.$(OBJEXT): config/$(am__dirstamp) \
1296 config/$(DEPDIR)/$(am__dirstamp)
1297 config/rx-parse.$(OBJEXT): config/$(am__dirstamp) \
1298 config/$(DEPDIR)/$(am__dirstamp)
1299 config/loongarch-parse.$(OBJEXT): config/$(am__dirstamp) \
1300 config/$(DEPDIR)/$(am__dirstamp)
1301 config/loongarch-lex.$(OBJEXT): config/$(am__dirstamp) \
1302 config/$(DEPDIR)/$(am__dirstamp)
1303
1304 as-new$(EXEEXT): $(as_new_OBJECTS) $(as_new_DEPENDENCIES) $(EXTRA_as_new_DEPENDENCIES)
1305 @rm -f as-new$(EXEEXT)
1306 $(AM_V_CCLD)$(LINK) $(as_new_OBJECTS) $(as_new_LDADD) $(LIBS)
1307
1308 itbl-test$(EXEEXT): $(itbl_test_OBJECTS) $(itbl_test_DEPENDENCIES) $(EXTRA_itbl_test_DEPENDENCIES)
1309 @rm -f itbl-test$(EXEEXT)
1310 $(AM_V_CCLD)$(LINK) $(itbl_test_OBJECTS) $(itbl_test_LDADD) $(LIBS)
1311
1312 mostlyclean-compile:
1313 -rm -f *.$(OBJEXT)
1314 -rm -f config/*.$(OBJEXT)
1315
1316 distclean-compile:
1317 -rm -f *.tab.c
1318
1319 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/app.Po@am__quote@
1320 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/as.Po@am__quote@
1321 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/atof-generic.Po@am__quote@
1322 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cgen.Po@am__quote@
1323 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/codeview.Po@am__quote@
1324 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compress-debug.Po@am__quote@
1325 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cond.Po@am__quote@
1326 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/depend.Po@am__quote@
1327 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dw2gencfi.Po@am__quote@
1328 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dwarf2dbg.Po@am__quote@
1329 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ecoff.Po@am__quote@
1330 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ehopt.Po@am__quote@
1331 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expr.Po@am__quote@
1332 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-copy.Po@am__quote@
1333 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-konst.Po@am__quote@
1334 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-mult.Po@am__quote@
1335 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/frags.Po@am__quote@
1336 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gen-sframe.Po@am__quote@
1337 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Po@am__quote@
1338 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input-file.Po@am__quote@
1339 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input-scrub.Po@am__quote@
1340 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-lex.Po@am__quote@
1341 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-ops.Po@am__quote@
1342 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-parse.Po@am__quote@
1343 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/listing.Po@am__quote@
1344 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/literal.Po@am__quote@
1345 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/macro.Po@am__quote@
1346 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messages.Po@am__quote@
1347 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/output-file.Po@am__quote@
1348 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read.Po@am__quote@
1349 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remap.Po@am__quote@
1350 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sb.Po@am__quote@
1351 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sframe-opt.Po@am__quote@
1352 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stabs.Po@am__quote@
1353 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/subsegs.Po@am__quote@
1354 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/symbols.Po@am__quote@
1355 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/write.Po@am__quote@
1356 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/atof-ieee.Po@am__quote@
1357 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/atof-vax.Po@am__quote@
1358 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-lex-wrapper.Po@am__quote@
1359 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-lex.Po@am__quote@
1360 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-parse.Po@am__quote@
1361 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-crisaout.Po@am__quote@
1362 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-criself.Po@am__quote@
1363 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386aout.Po@am__quote@
1364 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386coff.Po@am__quote@
1365 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386elf.Po@am__quote@
1366 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-mipself.Po@am__quote@
1367 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/kvx-parse.Po@am__quote@
1368 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/loongarch-lex.Po@am__quote@
1369 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/loongarch-parse.Po@am__quote@
1370 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/m68k-parse.Po@am__quote@
1371 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-aout.Po@am__quote@
1372 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-coff.Po@am__quote@
1373 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-ecoff.Po@am__quote@
1374 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-elf.Po@am__quote@
1375 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-evax.Po@am__quote@
1376 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-fdpicelf.Po@am__quote@
1377 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-macho.Po@am__quote@
1378 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-multi.Po@am__quote@
1379 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-som.Po@am__quote@
1380 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/rl78-parse.Po@am__quote@
1381 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/rx-parse.Po@am__quote@
1382 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-aarch64.Po@am__quote@
1383 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-alpha.Po@am__quote@
1384 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-arc.Po@am__quote@
1385 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-arm.Po@am__quote@
1386 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-avr.Po@am__quote@
1387 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-bfin.Po@am__quote@
1388 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-bpf.Po@am__quote@
1389 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-cr16.Po@am__quote@
1390 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-cris.Po@am__quote@
1391 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-crx.Po@am__quote@
1392 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-csky.Po@am__quote@
1393 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-d10v.Po@am__quote@
1394 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-d30v.Po@am__quote@
1395 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-dlx.Po@am__quote@
1396 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-epiphany.Po@am__quote@
1397 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-fr30.Po@am__quote@
1398 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-frv.Po@am__quote@
1399 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ft32.Po@am__quote@
1400 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-h8300.Po@am__quote@
1401 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-hppa.Po@am__quote@
1402 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-i386.Po@am__quote@
1403 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ia64.Po@am__quote@
1404 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ip2k.Po@am__quote@
1405 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-iq2000.Po@am__quote@
1406 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-kvx.Po@am__quote@
1407 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-lm32.Po@am__quote@
1408 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-loongarch.Po@am__quote@
1409 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m32c.Po@am__quote@
1410 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m32r.Po@am__quote@
1411 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m68hc11.Po@am__quote@
1412 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m68k.Po@am__quote@
1413 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mcore.Po@am__quote@
1414 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mep.Po@am__quote@
1415 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-metag.Po@am__quote@
1416 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-microblaze.Po@am__quote@
1417 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mips.Po@am__quote@
1418 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mmix.Po@am__quote@
1419 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mn10200.Po@am__quote@
1420 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mn10300.Po@am__quote@
1421 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-moxie.Po@am__quote@
1422 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-msp430.Po@am__quote@
1423 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mt.Po@am__quote@
1424 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-nds32.Po@am__quote@
1425 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-nios2.Po@am__quote@
1426 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ns32k.Po@am__quote@
1427 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-or1k.Po@am__quote@
1428 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pdp11.Po@am__quote@
1429 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pj.Po@am__quote@
1430 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ppc.Po@am__quote@
1431 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pru.Po@am__quote@
1432 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-riscv.Po@am__quote@
1433 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-rl78.Po@am__quote@
1434 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-rx.Po@am__quote@
1435 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-s12z.Po@am__quote@
1436 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-s390.Po@am__quote@
1437 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-score.Po@am__quote@
1438 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-sh.Po@am__quote@
1439 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-sparc.Po@am__quote@
1440 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-spu.Po@am__quote@
1441 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic30.Po@am__quote@
1442 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic4x.Po@am__quote@
1443 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic54x.Po@am__quote@
1444 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic6x.Po@am__quote@
1445 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tilegx.Po@am__quote@
1446 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tilepro.Po@am__quote@
1447 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-v850.Po@am__quote@
1448 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-vax.Po@am__quote@
1449 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-visium.Po@am__quote@
1450 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-wasm32.Po@am__quote@
1451 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xgate.Po@am__quote@
1452 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xstormy16.Po@am__quote@
1453 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xtensa.Po@am__quote@
1454 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-z80.Po@am__quote@
1455 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-z8k.Po@am__quote@
1456 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/te-vms.Po@am__quote@
1457 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/xtensa-relax.Po@am__quote@
1458
1459 .c.o:
1460 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1461 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1462 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1463 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1464 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1465 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1466
1467 .c.obj:
1468 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1469 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1470 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1471 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1472 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1473 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1474
1475 .c.lo:
1476 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1477 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1478 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1479 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1480 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1481 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1482
1483 .l.c:
1484 $(AM_V_LEX)$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
1485
1486 .y.c:
1487 $(AM_V_YACC)$(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h `echo $@ | $(am__yacc_c2h)` y.output $*.output -- $(YACCCOMPILE)
1488
1489 mostlyclean-libtool:
1490 -rm -f *.lo
1491
1492 clean-libtool:
1493 -rm -rf .libs _libs
1494
1495 distclean-libtool:
1496 -rm -f libtool config.lt
1497 doc/$(am__dirstamp):
1498 @$(MKDIR_P) doc
1499 @: > doc/$(am__dirstamp)
1500
1501 doc/as.info: doc/as.texi $(doc_as_TEXINFOS)
1502 @test -f doc/$(am__dirstamp) || $(MAKE) $(AM_MAKEFLAGS) doc/$(am__dirstamp)
1503 $(AM_V_MAKEINFO)restore=: && backupdir="$(am__leading_dot)am$$$$" && \
1504 rm -rf $$backupdir && mkdir $$backupdir && \
1505 if ($(MAKEINFO) --version) >/dev/null 2>&1; then \
1506 for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
1507 if test -f $$f; then mv $$f $$backupdir; restore=mv; else :; fi; \
1508 done; \
1509 else :; fi && \
1510 if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc \
1511 -o $@ `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi; \
1512 then \
1513 rc=0; \
1514 else \
1515 rc=$$?; \
1516 $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
1517 fi; \
1518 rm -rf $$backupdir; exit $$rc
1519
1520 doc/as.dvi: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1521 $(AM_V_TEXI2DVI)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1522 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc' \
1523 $(TEXI2DVI) $(AM_V_texinfo) --build-dir=$(@:.dvi=.t2d) -o $@ $(AM_V_texidevnull) \
1524 `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi
1525
1526 doc/as.pdf: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1527 $(AM_V_TEXI2PDF)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1528 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc' \
1529 $(TEXI2PDF) $(AM_V_texinfo) --build-dir=$(@:.pdf=.t2p) -o $@ $(AM_V_texidevnull) \
1530 `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi
1531
1532 doc/as.html: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1533 $(AM_V_MAKEINFO)rm -rf $(@:.html=.htp)
1534 $(AM_V_at)if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc \
1535 -o $(@:.html=.htp) `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi; \
1536 then \
1537 rm -rf $@ && mv $(@:.html=.htp) $@; \
1538 else \
1539 rm -rf $(@:.html=.htp); exit 1; \
1540 fi
1541 .dvi.ps:
1542 $(AM_V_DVIPS)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1543 $(DVIPS) $(AM_V_texinfo) -o $@ $<
1544
1545 uninstall-dvi-am:
1546 @$(NORMAL_UNINSTALL)
1547 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1548 for p in $$list; do \
1549 $(am__strip_dir) \
1550 echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
1551 rm -f "$(DESTDIR)$(dvidir)/$$f"; \
1552 done
1553
1554 uninstall-html-am:
1555 @$(NORMAL_UNINSTALL)
1556 @list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
1557 for p in $$list; do \
1558 $(am__strip_dir) \
1559 echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
1560 rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
1561 done
1562
1563 uninstall-info-am:
1564 @$(PRE_UNINSTALL)
1565 @if test -d '$(DESTDIR)$(infodir)' && $(am__can_run_installinfo); then \
1566 list='$(INFO_DEPS)'; \
1567 for file in $$list; do \
1568 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1569 echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
1570 if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
1571 then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
1572 done; \
1573 else :; fi
1574 @$(NORMAL_UNINSTALL)
1575 @list='$(INFO_DEPS)'; \
1576 for file in $$list; do \
1577 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1578 relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
1579 (if test -d "$(DESTDIR)$(infodir)" && cd "$(DESTDIR)$(infodir)"; then \
1580 echo " cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
1581 rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
1582 else :; fi); \
1583 done
1584
1585 uninstall-pdf-am:
1586 @$(NORMAL_UNINSTALL)
1587 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1588 for p in $$list; do \
1589 $(am__strip_dir) \
1590 echo " rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
1591 rm -f "$(DESTDIR)$(pdfdir)/$$f"; \
1592 done
1593
1594 uninstall-ps-am:
1595 @$(NORMAL_UNINSTALL)
1596 @list='$(PSS)'; test -n "$(psdir)" || list=; \
1597 for p in $$list; do \
1598 $(am__strip_dir) \
1599 echo " rm -f '$(DESTDIR)$(psdir)/$$f'"; \
1600 rm -f "$(DESTDIR)$(psdir)/$$f"; \
1601 done
1602
1603 dist-info: $(INFO_DEPS)
1604 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1605 list='$(INFO_DEPS)'; \
1606 for base in $$list; do \
1607 case $$base in \
1608 $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
1609 esac; \
1610 if test -f $$base; then d=.; else d=$(srcdir); fi; \
1611 base_i=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
1612 for file in $$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
1613 if test -f $$file; then \
1614 relfile=`expr "$$file" : "$$d/\(.*\)"`; \
1615 test -f "$(distdir)/$$relfile" || \
1616 cp -p $$file "$(distdir)/$$relfile"; \
1617 else :; fi; \
1618 done; \
1619 done
1620
1621 mostlyclean-aminfo:
1622 -rm -rf doc/as.t2d doc/as.t2p
1623
1624 clean-aminfo:
1625 -test -z "doc/as.dvi doc/as.pdf doc/as.ps doc/as.html" \
1626 || rm -rf doc/as.dvi doc/as.pdf doc/as.ps doc/as.html
1627
1628 maintainer-clean-aminfo:
1629 @list='$(INFO_DEPS)'; for i in $$list; do \
1630 i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
1631 echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
1632 rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
1633 done
1634 install-man1: $(man_MANS)
1635 @$(NORMAL_INSTALL)
1636 @list1=''; \
1637 list2='$(man_MANS)'; \
1638 test -n "$(man1dir)" \
1639 && test -n "`echo $$list1$$list2`" \
1640 || exit 0; \
1641 echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
1642 $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
1643 { for i in $$list1; do echo "$$i"; done; \
1644 if test -n "$$list2"; then \
1645 for i in $$list2; do echo "$$i"; done \
1646 | sed -n '/\.1[a-z]*$$/p'; \
1647 fi; \
1648 } | while read p; do \
1649 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
1650 echo "$$d$$p"; echo "$$p"; \
1651 done | \
1652 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1653 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
1654 sed 'N;N;s,\n, ,g' | { \
1655 list=; while read file base inst; do \
1656 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
1657 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
1658 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
1659 fi; \
1660 done; \
1661 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
1662 while read files; do \
1663 test -z "$$files" || { \
1664 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
1665 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
1666 done; }
1667
1668 uninstall-man1:
1669 @$(NORMAL_UNINSTALL)
1670 @list=''; test -n "$(man1dir)" || exit 0; \
1671 files=`{ for i in $$list; do echo "$$i"; done; \
1672 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
1673 sed -n '/\.1[a-z]*$$/p'; \
1674 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1675 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1676 dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
1677
1678 # This directory's subdirectories are mostly independent; you can cd
1679 # into them and run 'make' without going through this Makefile.
1680 # To change the values of 'make' variables: instead of editing Makefiles,
1681 # (1) if the variable is set in 'config.status', edit 'config.status'
1682 # (which will cause the Makefiles to be regenerated when you run 'make');
1683 # (2) otherwise, pass the desired values on the 'make' command line.
1684 $(am__recursive_targets):
1685 @fail=; \
1686 if $(am__make_keepgoing); then \
1687 failcom='fail=yes'; \
1688 else \
1689 failcom='exit 1'; \
1690 fi; \
1691 dot_seen=no; \
1692 target=`echo $@ | sed s/-recursive//`; \
1693 case "$@" in \
1694 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1695 *) list='$(SUBDIRS)' ;; \
1696 esac; \
1697 for subdir in $$list; do \
1698 echo "Making $$target in $$subdir"; \
1699 if test "$$subdir" = "."; then \
1700 dot_seen=yes; \
1701 local_target="$$target-am"; \
1702 else \
1703 local_target="$$target"; \
1704 fi; \
1705 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1706 || eval $$failcom; \
1707 done; \
1708 if test "$$dot_seen" = "no"; then \
1709 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1710 fi; test -z "$$fail"
1711
1712 ID: $(am__tagged_files)
1713 $(am__define_uniq_tagged_files); mkid -fID $$unique
1714 tags: tags-recursive
1715 TAGS: tags
1716
1717 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1718 set x; \
1719 here=`pwd`; \
1720 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1721 include_option=--etags-include; \
1722 empty_fix=.; \
1723 else \
1724 include_option=--include; \
1725 empty_fix=; \
1726 fi; \
1727 list='$(SUBDIRS)'; for subdir in $$list; do \
1728 if test "$$subdir" = .; then :; else \
1729 test ! -f $$subdir/TAGS || \
1730 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1731 fi; \
1732 done; \
1733 $(am__define_uniq_tagged_files); \
1734 shift; \
1735 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1736 test -n "$$unique" || unique=$$empty_fix; \
1737 if test $$# -gt 0; then \
1738 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1739 "$$@" $$unique; \
1740 else \
1741 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1742 $$unique; \
1743 fi; \
1744 fi
1745 ctags: ctags-recursive
1746
1747 CTAGS: ctags
1748 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1749 $(am__define_uniq_tagged_files); \
1750 test -z "$(CTAGS_ARGS)$$unique" \
1751 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1752 $$unique
1753
1754 GTAGS:
1755 here=`$(am__cd) $(top_builddir) && pwd` \
1756 && $(am__cd) $(top_srcdir) \
1757 && gtags -i $(GTAGS_ARGS) "$$here"
1758 cscope: cscope.files
1759 test ! -s cscope.files \
1760 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1761 clean-cscope:
1762 -rm -f cscope.files
1763 cscope.files: clean-cscope cscopelist
1764 cscopelist: cscopelist-recursive
1765
1766 cscopelist-am: $(am__tagged_files)
1767 list='$(am__tagged_files)'; \
1768 case "$(srcdir)" in \
1769 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1770 *) sdir=$(subdir)/$(srcdir) ;; \
1771 esac; \
1772 for i in $$list; do \
1773 if test -f "$$i"; then \
1774 echo "$(subdir)/$$i"; \
1775 else \
1776 echo "$$sdir/$$i"; \
1777 fi; \
1778 done >> $(top_builddir)/cscope.files
1779
1780 distclean-tags:
1781 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1782 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1783 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1784 @echo 'Making a new site.exp file ...'
1785 @echo '## these variables are automatically generated by make ##' >site.tmp
1786 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1787 @echo '# edit the last section' >>site.tmp
1788 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1789 @echo "set objdir `pwd`" >>site.tmp
1790 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1791 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1792 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1793 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1794 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1795 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1796 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1797 echo "## Begin content included from file $$f. Do not modify. ##" \
1798 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1799 && echo "## End content included from file $$f. ##" \
1800 || exit 1; \
1801 done >> site.tmp
1802 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1803 @if test -f site.exp; then \
1804 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1805 fi
1806 @-rm -f site.bak
1807 @test ! -f site.exp || mv site.exp site.bak
1808 @mv site.tmp site.exp
1809
1810 distclean-DEJAGNU:
1811 -rm -f site.exp site.bak
1812 -l='$(DEJATOOL)'; for tool in $$l; do \
1813 rm -f $$tool.sum $$tool.log; \
1814 done
1815 check-am: all-am
1816 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
1817 check: check-recursive
1818 all-am: Makefile $(INFO_DEPS) $(PROGRAMS) $(SCRIPTS) $(MANS) config.h
1819 installdirs: installdirs-recursive
1820 installdirs-am:
1821 for dir in "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
1822 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1823 done
1824 install: install-recursive
1825 install-exec: install-exec-recursive
1826 install-data: install-data-recursive
1827 uninstall: uninstall-recursive
1828
1829 install-am: all-am
1830 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1831
1832 installcheck: installcheck-recursive
1833 install-strip:
1834 if test -z '$(STRIP)'; then \
1835 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1836 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1837 install; \
1838 else \
1839 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1840 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1841 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1842 fi
1843 mostlyclean-generic:
1844 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1845
1846 clean-generic:
1847
1848 distclean-generic:
1849 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1850 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1851 -rm -f config/$(DEPDIR)/$(am__dirstamp)
1852 -rm -f config/$(am__dirstamp)
1853 -rm -f doc/$(am__dirstamp)
1854 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1855
1856 maintainer-clean-generic:
1857 @echo "This command is intended for maintainers to use"
1858 @echo "it deletes files that may require special tools to rebuild."
1859 -rm -f config/bfin-lex.c
1860 -rm -f config/bfin-parse.c
1861 -rm -f config/loongarch-lex.c
1862 -rm -f config/loongarch-parse.c
1863 -rm -f config/m68k-parse.c
1864 -rm -f config/rl78-parse.c
1865 -rm -f config/rx-parse.c
1866 -rm -f itbl-lex.c
1867 -rm -f itbl-parse.c
1868 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1869 clean: clean-recursive
1870
1871 clean-am: clean-aminfo clean-generic clean-libtool \
1872 clean-noinstPROGRAMS mostlyclean-am
1873
1874 distclean: distclean-recursive
1875 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1876 -rm -rf ./$(DEPDIR) config/$(DEPDIR)
1877 -rm -f Makefile
1878 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1879 distclean-generic distclean-hdr distclean-libtool \
1880 distclean-tags
1881
1882 dvi: dvi-recursive
1883
1884 dvi-am: $(DVIS)
1885
1886 html: html-recursive
1887
1888 html-am: $(HTMLS) html-local
1889
1890 info: info-recursive
1891
1892 info-am: $(INFO_DEPS) info-local
1893
1894 install-data-am: install-info-am install-man
1895
1896 install-dvi: install-dvi-recursive
1897
1898 install-dvi-am: $(DVIS)
1899 @$(NORMAL_INSTALL)
1900 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1901 if test -n "$$list"; then \
1902 echo " $(MKDIR_P) '$(DESTDIR)$(dvidir)'"; \
1903 $(MKDIR_P) "$(DESTDIR)$(dvidir)" || exit 1; \
1904 fi; \
1905 for p in $$list; do \
1906 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1907 echo "$$d$$p"; \
1908 done | $(am__base_list) | \
1909 while read files; do \
1910 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
1911 $(INSTALL_DATA) $$files "$(DESTDIR)$(dvidir)" || exit $$?; \
1912 done
1913 install-exec-am: install-exec-local
1914
1915 install-html: install-html-recursive
1916
1917 install-html-am: $(HTMLS)
1918 @$(NORMAL_INSTALL)
1919 @list='$(HTMLS)'; list2=; test -n "$(htmldir)" || list=; \
1920 if test -n "$$list"; then \
1921 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)'"; \
1922 $(MKDIR_P) "$(DESTDIR)$(htmldir)" || exit 1; \
1923 fi; \
1924 for p in $$list; do \
1925 if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \
1926 $(am__strip_dir) \
1927 d2=$$d$$p; \
1928 if test -d "$$d2"; then \
1929 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
1930 $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
1931 echo " $(INSTALL_DATA) '$$d2'/* '$(DESTDIR)$(htmldir)/$$f'"; \
1932 $(INSTALL_DATA) "$$d2"/* "$(DESTDIR)$(htmldir)/$$f" || exit $$?; \
1933 else \
1934 list2="$$list2 $$d2"; \
1935 fi; \
1936 done; \
1937 test -z "$$list2" || { echo "$$list2" | $(am__base_list) | \
1938 while read files; do \
1939 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
1940 $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
1941 done; }
1942 install-info: install-info-recursive
1943
1944 install-info-am: $(INFO_DEPS)
1945 @$(NORMAL_INSTALL)
1946 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1947 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1948 if test -n "$$list"; then \
1949 echo " $(MKDIR_P) '$(DESTDIR)$(infodir)'"; \
1950 $(MKDIR_P) "$(DESTDIR)$(infodir)" || exit 1; \
1951 fi; \
1952 for file in $$list; do \
1953 case $$file in \
1954 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
1955 esac; \
1956 if test -f $$file; then d=.; else d=$(srcdir); fi; \
1957 file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
1958 for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
1959 $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
1960 if test -f $$ifile; then \
1961 echo "$$ifile"; \
1962 else : ; fi; \
1963 done; \
1964 done | $(am__base_list) | \
1965 while read files; do \
1966 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
1967 $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
1968 @$(POST_INSTALL)
1969 @if $(am__can_run_installinfo); then \
1970 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1971 for file in $$list; do \
1972 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1973 echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
1974 install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
1975 done; \
1976 else : ; fi
1977 install-man: install-man1
1978
1979 install-pdf: install-pdf-recursive
1980
1981 install-pdf-am: $(PDFS)
1982 @$(NORMAL_INSTALL)
1983 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1984 if test -n "$$list"; then \
1985 echo " $(MKDIR_P) '$(DESTDIR)$(pdfdir)'"; \
1986 $(MKDIR_P) "$(DESTDIR)$(pdfdir)" || exit 1; \
1987 fi; \
1988 for p in $$list; do \
1989 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1990 echo "$$d$$p"; \
1991 done | $(am__base_list) | \
1992 while read files; do \
1993 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
1994 $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; done
1995 install-ps: install-ps-recursive
1996
1997 install-ps-am: $(PSS)
1998 @$(NORMAL_INSTALL)
1999 @list='$(PSS)'; test -n "$(psdir)" || list=; \
2000 if test -n "$$list"; then \
2001 echo " $(MKDIR_P) '$(DESTDIR)$(psdir)'"; \
2002 $(MKDIR_P) "$(DESTDIR)$(psdir)" || exit 1; \
2003 fi; \
2004 for p in $$list; do \
2005 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
2006 echo "$$d$$p"; \
2007 done | $(am__base_list) | \
2008 while read files; do \
2009 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
2010 $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; done
2011 installcheck-am:
2012
2013 maintainer-clean: maintainer-clean-recursive
2014 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
2015 -rm -rf $(top_srcdir)/autom4te.cache
2016 -rm -rf ./$(DEPDIR) config/$(DEPDIR)
2017 -rm -f Makefile
2018 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
2019 maintainer-clean-generic
2020
2021 mostlyclean: mostlyclean-recursive
2022
2023 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
2024 mostlyclean-generic mostlyclean-libtool
2025
2026 pdf: pdf-recursive
2027
2028 pdf-am: $(PDFS)
2029
2030 ps: ps-recursive
2031
2032 ps-am: $(PSS)
2033
2034 uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
2035 uninstall-man uninstall-pdf-am uninstall-ps-am
2036
2037 uninstall-man: uninstall-man1
2038
2039 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
2040
2041 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
2042 am--refresh check check-DEJAGNU check-am clean clean-aminfo \
2043 clean-cscope clean-generic clean-libtool clean-noinstPROGRAMS \
2044 cscope cscopelist-am ctags ctags-am dist-info distclean \
2045 distclean-DEJAGNU distclean-compile distclean-generic \
2046 distclean-hdr distclean-libtool distclean-tags dvi dvi-am html \
2047 html-am html-local info info-am info-local install install-am \
2048 install-data install-data-am install-dvi install-dvi-am \
2049 install-exec install-exec-am install-exec-local install-html \
2050 install-html-am install-info install-info-am install-man \
2051 install-man1 install-pdf install-pdf-am install-ps \
2052 install-ps-am install-strip installcheck installcheck-am \
2053 installdirs installdirs-am maintainer-clean \
2054 maintainer-clean-aminfo maintainer-clean-generic mostlyclean \
2055 mostlyclean-aminfo mostlyclean-compile mostlyclean-generic \
2056 mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
2057 uninstall-am uninstall-dvi-am uninstall-html-am \
2058 uninstall-info-am uninstall-man uninstall-man1 \
2059 uninstall-pdf-am uninstall-ps-am
2060
2061 .PRECIOUS: Makefile
2062
2063 po/POTFILES.in: @MAINT@ Makefile
2064 for f in $(POTFILES); do echo $$f; done | LC_ALL=C sort > tmp \
2065 && mv tmp $(srcdir)/po/POTFILES.in
2066
2067 diststuff: $(EXTRA_DIST) info
2068
2069 check-DEJAGNU: site.exp
2070 if [ -d testsuite ]; then \
2071 true; \
2072 else \
2073 mkdir testsuite; \
2074 fi
2075 rm -f testsuite/site.exp
2076 cp site.exp testsuite/site.exp
2077 rootme=`pwd`; export rootme; \
2078 srcdir=`cd ${srcdir}; pwd` ; export srcdir ; \
2079 LC_ALL=C; export LC_ALL; \
2080 EXPECT=${EXPECT} ; export EXPECT ; \
2081 runtest=$(RUNTEST); \
2082 cd testsuite; \
2083 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
2084 $$runtest --tool $(DEJATOOL) --srcdir $${srcdir}/testsuite \
2085 $(RUNTESTFLAGS); \
2086 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
2087 fi
2088
2089 development.exp: $(BFDDIR)/development.sh
2090 $(EGREP) "(development|experimental)=" $(BFDDIR)/development.sh \
2091 | $(AWK) -F= '{ print "set " $$1 " " $$2 }' > $@
2092
2093 config/tc-i386.o: $(srcdir)/../opcodes/i386-init.h $(srcdir)/../opcodes/i386-tbl.h
2094
2095 $(srcdir)/../opcodes/i386%init.h $(srcdir)/../opcodes/i386%tbl.h $(srcdir)/../opcodes/i386%mnem.h: @MAINT@ $(i386_tbl_deps)
2096 @echo '"$@" is outdated wrt "$?"' >&2
2097 @echo 'Please rebuild from the top level or in $(CURDIR)/../opcodes/' >&2
2098 @false
2099 config/m68k-parse.c: $(srcdir)/config/m68k-parse.y
2100 $(SHELL) $(YLWRAP) $(srcdir)/config/m68k-parse.y y.tab.c $@ -- $(YACCCOMPILE)
2101 config/m68k-parse.h: config/m68k-parse.c
2102 @true
2103 config/bfin-parse.c: $(srcdir)/config/bfin-parse.y
2104 $(SHELL) $(YLWRAP) $(srcdir)/config/bfin-parse.y y.tab.c $@ y.tab.h config/bfin-parse.h -- $(YACCCOMPILE) -d ;
2105 config/bfin-parse.h: config/bfin-parse.c
2106 @true
2107 config/bfin-lex.c: $(srcdir)/config/bfin-lex.l
2108 $(SHELL) $(YLWRAP) $(srcdir)/config/bfin-lex.l lex.yy.c $@ -- $(LEXCOMPILE)
2109
2110 config/bfin-lex-wrapper.@OBJEXT@: config/bfin-lex.c config/bfin-parse.h
2111 config/rl78-parse.c: $(srcdir)/config/rl78-parse.y
2112 $(SHELL) $(YLWRAP) $(srcdir)/config/rl78-parse.y y.tab.c $@ y.tab.h config/rl78-parse.h -- $(YACCCOMPILE) -d ;
2113 config/rl78-parse.h: config/rl78-parse.c
2114 @true
2115 config/rx-parse.c: $(srcdir)/config/rx-parse.y
2116 $(SHELL) $(YLWRAP) $(srcdir)/config/rx-parse.y y.tab.c $@ y.tab.h config/rx-parse.h -- $(YACCCOMPILE) -d ;
2117 config/rx-parse.h: config/rx-parse.c
2118 @true
2119 config/loongarch-parse.c: $(srcdir)/config/loongarch-parse.y
2120 $(SHELL) $(YLWRAP) $(srcdir)/config/loongarch-parse.y y.tab.c $@ y.tab.h config/loongarch-parse.h -- $(YACCCOMPILE) -d ;
2121 config/loongarch-parse.h: config/loongarch-parse.c
2122 @true
2123 config/loongarch-lex.c: $(srcdir)/config/loongarch-lex.l
2124 $(SHELL) $(YLWRAP) $(srcdir)/config/loongarch-lex.l lex.yy.c $@ -- $(LEXCOMPILE)
2125
2126 config/loongarch-lex-wrapper.@OBJEXT@: config/loongarch-lex.c config/loongarch-parse.h
2127
2128 # The mips instruction table specification lexical analyzer and parser.
2129
2130 itbl-lex-wrapper.@OBJEXT@: itbl-lex.c itbl-parse.h
2131
2132 itbl-parse.c: $(srcdir)/itbl-parse.y
2133 $(SHELL) $(YLWRAP) $(srcdir)/itbl-parse.y y.tab.c $@ y.tab.h itbl-parse.h -- $(YACCCOMPILE) -d
2134
2135 itbl-parse.h: itbl-parse.c
2136 @true
2137
2138 itbl-ops.@OBJEXT@: itbl-parse.h
2139
2140 itbl-tops.@OBJEXT@: itbl-ops.c itbl-parse.h
2141 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -o $@ -c -DSTAND_ALONE $(srcdir)/itbl-ops.c
2142 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
2143 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='itbl-ops.c' object='$@' libtool=no @AMDEPBACKSLASH@
2144 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2145 @am__fastdepCC_FALSE@ $(COMPILE) -o $@ -DSTAND_ALONE -c $(srcdir)/itbl-ops.c
2146
2147 itbl-test.@OBJEXT@: $(srcdir)/testsuite/gas/all/itbl-test.c
2148 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ -DSTAND_ALONE $(srcdir)/testsuite/gas/all/itbl-test.c
2149 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
2150 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='itbl-test.c' object='$@' libtool=no @AMDEPBACKSLASH@
2151 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2152 @am__fastdepCC_FALSE@ $(COMPILE) -c -DSTAND_ALONE $(srcdir)/testsuite/gas/all/itbl-test.c
2153
2154 cgen.@OBJEXT@: cgen.c cgen.h cgen-desc.h subsegs.h \
2155 $(INCDIR)/obstack.h $(INCDIR)/opcode/cgen.h \
2156 $(srcdir)/../opcodes/$(CGEN_CPU_PREFIX)-desc.h \
2157 $(srcdir)/../opcodes/$(CGEN_CPU_PREFIX)-opc.h
2158
2159 .PHONY: install-exec-local install-data-local
2160 .PHONY: install-exec-bindir install-exec-tooldir
2161
2162 install-exec-local: install-exec-bindir @install_tooldir@
2163
2164 install-exec-bindir: $(noinst_PROGRAMS)
2165 $(mkinstalldirs) $(DESTDIR)$(bindir)
2166 @list='$(noinst_PROGRAMS)'; for p in $$list; do \
2167 if test -f $$p; then \
2168 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
2169 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
2170 else :; fi; \
2171 done
2172
2173 install-exec-tooldir: install-exec-bindir $(noinst_PROGRAMS)
2174 $(mkinstalldirs) $(DESTDIR)$(tooldir)/bin
2175 n=`echo as | sed '$(transform)'`; \
2176 if [ "$(bindir)/$$n$(EXEEXT)" != "$(tooldir)/bin/as$(EXEEXT)" ]; then \
2177 rm -f $(DESTDIR)$(tooldir)/bin/as$(EXEEXT); \
2178 ln $(DESTDIR)$(bindir)/$$n$(EXEEXT) $(DESTDIR)$(tooldir)/bin/as$(EXEEXT) >/dev/null 2>/dev/null \
2179 || $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) as-new$(EXEEXT) $(DESTDIR)$(tooldir)/bin/as$(EXEEXT); \
2180 else \
2181 true ; \
2182 fi
2183
2184 # These exist for maintenance purposes.
2185
2186 .PHONY: bootstrap bootstrap2 bootstrap3 stage1 stage2 stage3 comparison
2187
2188 bootstrap: as-new$(EXEEXT)
2189 $(MAKE) stage1
2190 rm -f stage && ln -s stage1 stage
2191 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2192 $(MAKE) stage2
2193 rm -f stage && ln -s stage2 stage
2194 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2195 $(MAKE) comparison against=stage2
2196
2197 bootstrap2:
2198 rm -f stage && ln -s stage1 stage
2199 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2200 $(MAKE) stage2
2201 rm -f stage && ln -s stage2 stage
2202 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2203 $(MAKE) comparison against=stage2
2204
2205 bootstrap3:
2206 rm -f stage && ln -s stage2 stage
2207 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2208 $(MAKE) comparison against=stage2
2209
2210 # Copy the object files from a particular stage into a subdirectory.
2211 stage1:
2212 -mkdir stage1
2213 -mv $(STAGESTUFF) stage1
2214 if [ -f stage1/as-new$(EXEEXT) -a ! -f stage1/as$(EXEEXT) ] ; then (cd stage1 ; ln -s as-new$(EXEEXT) as$(EXEEXT)) ; fi
2215
2216 stage2:
2217 -mkdir stage2
2218 -mv $(STAGESTUFF) stage2
2219 if [ -f stage2/as-new$(EXEEXT) -a ! -f stage2/as$(EXEEXT) ] ; then (cd stage2 ; ln -s as-new$(EXEEXT) as$(EXEEXT)) ; fi
2220
2221 stage3:
2222 -mkdir stage3
2223 -mv $(STAGESTUFF) stage3
2224 if [ -f stage3/as-new$(EXEEXT) -a ! -f stage3/as$(EXEEXT) ] ; then (cd stage3 ; ln -s as-new as$(EXEEXT)) ; fi
2225
2226 comparison:
2227 x=0 ; \
2228 for file in *.@OBJEXT@ ; do \
2229 f1=./$$file; f2=${against}/$$file; \
2230 $(do_compare) > /dev/null 2>&1; \
2231 if test $$? -ne 0; then \
2232 echo $$file differs ; \
2233 x=1 ; \
2234 fi ; \
2235 done ; \
2236 exit $$x
2237 -rm -f tmp-foo*
2238
2239 .PHONY: de-stage1 de-stage2 de-stage3
2240
2241 de-stage1:
2242 - (cd stage1 ; rm -f as$(EXEEXT) ; mv -f * ..)
2243 - rmdir stage1
2244
2245 de-stage2:
2246 - (cd stage2 ; rm -f as$(EXEEXT) ; mv -f * ..)
2247 - rmdir stage2
2248
2249 de-stage3:
2250 - (cd stage3 ; rm -f as$(EXEEXT) ; mv -f * ..)
2251 - rmdir stage3
2252
2253 doc/asconfig.texi: doc/$(CONFIG).texi doc/$(am__dirstamp)
2254 $(AM_V_at)rm -f doc/asconfig.texi
2255 $(AM_V_GEN)cp $(srcdir)/doc/$(CONFIG).texi doc/asconfig.texi && touch -m -r $(srcdir)/doc/$(CONFIG).texi doc/asconfig.texi
2256 $(AM_V_at)chmod u+w doc/asconfig.texi
2257
2258 # Maintenance
2259
2260 # We need it for the taz target in ../Makefile.in.
2261 info-local: $(MANS)
2262
2263 # Build the man page from the texinfo file
2264 # The sed command removes the no-adjust Nroff command so that
2265 # the man output looks standard.
2266 doc/as.1: $(srcdir)/doc/as.texi doc/asconfig.texi $(CPU_DOCS) doc/$(am__dirstamp)
2267 $(AM_V_GEN)touch $@
2268 $(AM_V_at)-$(TEXI2POD) $(MANCONF) < $(srcdir)/doc/as.texi > doc/as.pod
2269 $(AM_V_at)-($(POD2MAN) doc/as.pod | \
2270 sed -e '/^.if n .na/d' > $@.T$$$$ && \
2271 mv -f $@.T$$$$ $@) || \
2272 (rm -f $@.T$$$$ && exit 1)
2273 $(AM_V_at)rm -f doc/as.pod
2274
2275 html-local: doc/as/index.html
2276 doc/as/index.html: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
2277 $(AM_V_GEN)$(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) \
2278 --split=node -I$(srcdir)/doc -o doc/as $(srcdir)/doc/as.texi
2279
2280 # Tell versions [3.59,3.63) of GNU make to not export all variables.
2281 # Otherwise a system limit (for SysV at least) may be exceeded.
2282 .NOEXPORT: